Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#45683 - [pulseaudio-jack] should depend on jack and not jack2

Attached to Project: Arch Linux
Opened by Tara Devi (Tara) - Friday, 17 July 2015, 10:10 GMT
Last edited by Doug Newgard (Scimmia) - Saturday, 22 April 2017, 14:25 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Jan Alexander Steffens (heftig)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 2
Private No

Details

Description:
The pulseaudio-jack 6.0-2 package has these dependencies:
depends=(pulseaudio jack2)

But this is what the jack packages provide:
extra/jack 0.124.1-3:
provides=("$_longname=$pkgver")

community/jack2 1.9.10-1:
provides=('jack' 'jackmp' 'jackdmp' 'jackdbus')

community/jack2-dbus 1.9.10-1:
provides=('jack' 'jackmp' 'jackdmp' 'jackdbus')


Because of this, pulseaudio-jack2 will install only with jack2 from community and not with jack or jack2-dbus. All jack package variants listed above provide 'jack'. The dependencies for pulseaudio-jack2 should read:

depends=(pulseaudio jack)
This task depends upon

Closed by  Doug Newgard (Scimmia)
Saturday, 22 April 2017, 14:25 GMT
Reason for closing:  Fixed
Additional comments about closing:  pulseaudio-jack 10.0-2
Comment by Jan Alexander Steffens (heftig) - Friday, 17 July 2015, 16:02 GMT
jackdbus (from jack2) must be managing JACK for cooperation between PulseAudio and JACK to work properly.
Comment by Tara Devi (Tara) - Friday, 17 July 2015, 16:18 GMT
  • Field changed: Percent Complete (100% → 0%)
pulseaudio-jack also provides modules to work with regular (non-dbus) jackd:

pulseaudio-jack /usr/lib/pulse-6.0/modules/module-jack-sink.so
pulseaudio-jack /usr/lib/pulse-6.0/modules/module-jack-source.so

You can read instructions on how to use these 2 modules here:

https://docs.fedoraproject.org/en-US/Fedora/17/html/Musicians_Guide/sect-Musicians_Guide-Integrating_PulseAudio_with_JACK.html
Comment by Tara Devi (Tara) - Friday, 17 July 2015, 16:20 GMT
This is also documented in the Arch Linux wiki:

https://wiki.archlinux.org/index.php/PulseAudio/Examples#The_old_way
Comment by Joakim Hernberg (jhernberg) - Saturday, 09 January 2016, 11:19 GMT
IMO, it would be good if pulseaudio-jack just depended on jack, as I can use the jack modules with both jack1 and jack2 with or without dbus support. As a jack user I have to locally build the pulseaudio server and install the pulseaudio-jack package manually to get the jack modules installed on my system.
Comment by xpander (xpander69) - Sunday, 24 January 2016, 10:39 GMT
ok, this needs fixing, there was pulseaudio update yesterday and it always forces me to install jack2, but im using jack1 with jack modules for pulse, this needs fixing asap, and it shouldnt have jack2 as requirement/depenency
Comment by Joakim Hernberg (jhernberg) - Saturday, 13 February 2016, 14:40 GMT
FYI: There is also a dbus patch around for JACK1, does everything except for the pa device reservation.
Comment by Joakim Hernberg (jhernberg) - Tuesday, 06 September 2016, 17:10 GMT
Any chance that this could be attended to some day?
Comment by xpander (xpander69) - Thursday, 19 January 2017, 10:55 GMT
It still hasn't been fixed, got a pulseaudio-jack 10.0 update today and it still requires jack2. this is stupidly annoying
like said previously here, with jack 1 you just have to load up the sinks/sources manually into pulseaudio, but the pulseaudio-jack package is still required

Loading...